Support » Requests and Feedback » Cant upgrade automatically after chmod

  • Hi there,

    A while ago i installed WP Security scanner and i saw that some directories were not fully protected. So i changed the chmod of these files/directories and now, when i click on any “upgrade automatically” button in the plugins i get this error:

    Warning: file_exists() [function.file-exists]: open_basedir restriction in effect. File(/var/tmp//1231420149) is not within the allowed path(s): (/***PATH***/usr/local/lib/php/) in  ***PATH***/wp-includes/functions.php
    
    Warning: touch() [function.touch]: open_basedir restriction in effect. File(/var/tmp/1231420149) is not within the allowed path(s): ( ***PATH***/tmp:/usr/local/lib/php/) in  ***PATH***/wp-admin/includes/file.php on line 174
    
    Warning: fileowner() [function.fileowner]: open_basedir restriction in effect. File(/var/tmp/1231420149) is not within the allowed path(s): (***PATH***:/tmp:/usr/local/lib/php/) in  ***PATH***/wp-admin/includes/file.php on line 628
    
    Warning: unlink() [function.unlink]: open_basedir restriction in effect. File(/var/tmp/1231420149) is not within the allowed path(s): ( ***PATH***/usr/local/lib/php/) in  ***PATH***/wp-admin/includes/file.php on line 630

    (changed the path to: ***PATH***)

    I simple can’t find the solution / right chmod settings for this, i tried a lot of chmod changes but now im desperate. Maybe some of you will see in instant whats the problem. I hope you will. 🙂

    Kind Regards,
    Rutger

Viewing 3 replies - 1 through 3 (of 3 total)
Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Cant upgrade automatically after chmod’ is closed to new replies.